"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sexpressError_1 = __importDefault(require("./sexpressError"));
const restCodes_1 = require("./restCodes");
function errorHandler(err, _, res, __) {
    let error = err.message;
    let data = err.data;
    let restCode = err.restCode;
    if (process.env.NODE_ENV === "production") {
        data = undefined;
        error = err.prodMessage || error;
        if (err instanceof sexpressError_1.default !== true) {
            // prevent error leaking in prod.
            error = "INTERNAL SERVER ERROR";
            restCode = restCodes_1.INTERNAL_SERVER_ERROR;
        }
    }
    res.status(restCode || restCodes_1.BAD_REQUEST).json({ error, data });
}
exports.default = errorHandler;
