"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFieldRequired = exports.required = void 0;
function required({ fields, req }) {
    if (req.route.methods.post ||
        req.route.methods.put ||
        req.route.methods.patch) {
        fields.forEach((field) => {
            if (typeof req.body[field] === "undefined") {
                throw new Error(`Missing field "${field}"`);
            }
        });
    }
    else {
        fields.forEach((field) => {
            if (typeof req.query[field] === "undefined") {
                throw new Error(`Missing field "${field}"`);
            }
        });
    }
}
exports.required = required;
exports.default = required;
function isFieldRequired(field) {
    return field[field.length - 1] === "!";
}
exports.isFieldRequired = isFieldRequired;
